import { AxiosResponse } from 'axios';
export declare let needSyncing: boolean;
export declare const toggleNeedSyncing: () => void;
export declare enum DataType {
    CYCLE = "cycleinfo",
    RECEIPT = "receipt",
    ORIGINALTX = "originalTx",
    ACCOUNT = "account",
    TRANSACTION = "transaction",
    TOTALDATA = "totalData"
}
interface queryFromDistributorParameters {
    start?: number;
    end?: number;
    page?: number;
    type?: string;
    startCycle?: number;
    endCycle?: number;
}
export declare const queryFromDistributor: (type: DataType, queryParameters: queryFromDistributorParameters) => Promise<AxiosResponse>;
export declare function compareWithOldReceiptsData(lastStoredReceiptCycle?: number): Promise<{
    success: boolean;
    matchedCycle: number;
}>;
export declare function compareWithOldOriginalTxsData(lastStoredOriginalTxDataCycle?: number): Promise<{
    success: boolean;
    matchedCycle: number;
}>;
export declare const compareWithOldCyclesData: (lastCycleCounter: number) => Promise<{
    success: boolean;
    cycle: number;
}>;
export declare const downloadTxsDataAndCycles: (totalReceiptsToSync: number, fromReceipt: number, totalOriginalTxsToSync: number, fromOriginalTxData: number, totalCyclesToSync: number, fromCycle?: number) => Promise<void>;
export declare const downloadAndSyncGenesisAccounts: () => Promise<void>;
export declare function compareReceiptsCountByCycles(startCycle: number, endCycle: number): Promise<{
    cycle: number;
    receipts: number;
}[]>;
export declare function compareOriginalTxsCountByCycles(startCycle: number, endCycle: number): Promise<{
    cycle: number;
    originalTxsData: number;
}[]>;
export declare function downloadReceiptsByCycle(data?: {
    cycle: number;
    receipts: number;
}[]): Promise<void>;
export declare function downloadOriginalTxsDataByCycle(data?: {
    cycle: number;
    originalTxsData: number;
}[]): Promise<void>;
export declare const downloadCyclcesBetweenCycles: (startCycle: number, totalCyclesToSync: number, saveOnlyNewData?: boolean) => Promise<void>;
export declare const downloadReceiptsBetweenCycles: (startCycle: number, totalCyclesToSync: number, saveOnlyNewData?: boolean) => Promise<void>;
export declare const downloadOriginalTxsDataBetweenCycles: (startCycle: number, totalCyclesToSync: number, saveOnlyNewData?: boolean) => Promise<void>;
export {};
