/// <reference types="node" />
export declare const envEnum: {
    DEV: string;
    PROD: string;
};
export declare enum collectorMode {
    WS = "WS",
    MQ = "MQ"
}
export interface Config {
    env: string;
    host: string;
    dbPath: string;
    dataLogWrite: boolean;
    dataLogWriter: {
        dirName: string;
        maxLogFiles: number;
        maxReceiptEntries: number;
        maxCycleEntries: number;
        maxOriginalTxEntries: number;
    };
    collectorInfo: {
        publicKey: string;
        secretKey: string;
    };
    hashKey: string;
    enableCollectorSocketServer: boolean;
    port: {
        collector: string;
        server: string;
        log_server: string;
    };
    distributorInfo: {
        ip: string;
        port: string;
        publicKey: string;
    };
    rpcUrl: string;
    apiUrl: string;
    verbose: boolean;
    fastifyDebugLog: boolean;
    rateLimit: number;
    patchData: boolean;
    USAGE_ENDPOINTS_KEY: string;
    RECONNECT_INTERVAL_MS: number;
    processData: {
        indexReceipt: boolean;
        indexOriginalTxData: boolean;
        decodeContractInfo: boolean;
        decodeTokenTransfer: boolean;
    };
    enableTxHashCache: boolean;
    findTxHashInOriginalTx: boolean;
    enableShardeumIndexer: boolean;
    shardeumIndexerSqlitePath: string;
    blockIndexing: {
        enabled: boolean;
        blockProductionRate: number;
        initBlockNumber: number;
        cycleDurationInSeconds: number;
        latestBehindBySeconds: number;
    };
    blockCache: {
        enabled: boolean;
        cacheUpdateIntervalInMillis: number;
    };
    saveAccountHistoryState: boolean;
    collectorMode: string;
    storeReceiptBeforeStates: boolean;
}
declare let config: Config;
declare let DISTRIBUTOR_URL: string;
export declare function overrideDefaultConfig(env: NodeJS.ProcessEnv, args: string[]): void;
export { config, DISTRIBUTOR_URL };
