"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeLogSubscriptionBySocketId = exports.removeLogSubscription = exports.addLogSubscriptions = exports.logSubscriptionMap = exports.removeLogSocketClient = exports.getLogSocketClient = exports.addLogSocketClient = void 0;
const logSocketClient = new Map();
const addLogSocketClient = (socketId, socket) => {
    logSocketClient.set(socketId, socket);
};
exports.addLogSocketClient = addLogSocketClient;
const getLogSocketClient = (socketId) => {
    return logSocketClient.get(socketId);
};
exports.getLogSocketClient = getLogSocketClient;
const removeLogSocketClient = (socketId) => {
    logSocketClient.delete(socketId);
};
exports.removeLogSocketClient = removeLogSocketClient;
exports.logSubscriptionMap = new Map();
const addLogSubscriptions = (subscriptionId, socketId, filterOptions) => {
    exports.logSubscriptionMap.set(subscriptionId, {
        subscriptionId,
        socketId,
        filterOptions,
    });
};
exports.addLogSubscriptions = addLogSubscriptions;
const removeLogSubscription = (subscriptionId) => {
    exports.logSubscriptionMap.delete(subscriptionId);
};
exports.removeLogSubscription = removeLogSubscription;
const removeLogSubscriptionBySocketId = (socketId) => {
    (0, exports.removeLogSocketClient)(socketId);
    exports.logSubscriptionMap.forEach((subscription) => {
        if (subscription.socketId === socketId) {
            exports.logSubscriptionMap.delete(subscription.subscriptionId);
        }
    });
};
exports.removeLogSubscriptionBySocketId = removeLogSubscriptionBySocketId;
//# sourceMappingURL=SocketManager.js.map