import { AccountType, AccountSearchType, Account, Token, ContractType, AccountCopy } from '../types';
export declare const EOA_CodeHash = "0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470";
export declare function insertAccount(account: Account): Promise<void>;
export declare function bulkInsertAccounts(accounts: Account[]): Promise<void>;
export declare function updateAccount(_accountId: string, account: Partial<Account>): Promise<void>;
export declare function insertToken(token: Token): Promise<void>;
export declare function bulkInsertTokens(tokens: Token[]): Promise<void>;
export declare function queryAccountCount(type?: ContractType | AccountSearchType): Promise<number>;
export declare function queryAccounts(skip?: number, limit?: number, type?: AccountSearchType | ContractType): Promise<Account[]>;
export declare function queryAccountByAccountId(accountId: string): Promise<Account | null>;
export declare function queryAccountByAddress(address: string, accountType?: AccountType): Promise<Account | null>;
export declare function queryAccountCountBetweenCycles(startCycleNumber: number, endCycleNumber: number): Promise<number>;
export declare function queryAccountsBetweenCycles(skip: number, limit: number, startCycleNumber: number, endCycleNumber: number): Promise<Account[]>;
export declare function queryTokensByAddress(address: string, detail?: boolean): Promise<object[]>;
export declare function queryTokenBalance(contractAddress: string, addressToSearch: string): Promise<{
    success: boolean;
    error?: string;
    balance?: string;
}>;
export declare function queryTokenHolderCount(contractAddress: string): Promise<number>;
export declare function queryTokenHolders(skip: number, limit: number, contractAddress: string): Promise<Token[]>;
export declare function processAccountData(accounts: AccountCopy[]): Promise<Account[]>;
