import { Block as EthBlock } from '@ethereumjs/block';
import { Cycle, DbBlock } from '../types';
export type ShardeumBlockOverride = EthBlock & {
    number?: string;
    hash?: string;
};
export declare function insertBlock(block: DbBlock): Promise<void>;
export declare function bulkInsertBlocks(blocks: DbBlock[]): Promise<void>;
export declare function upsertBlocksForCycle(cycle: Cycle): Promise<void>;
export declare function upsertBlocksForCycleCore(cycleCounter: number, startTimeInSeconds: number): Promise<void>;
export declare function queryBlockByNumber(blockNumber: number): Promise<DbBlock | null>;
export declare function queryBlockByTag(tag: 'earliest' | 'latest'): Promise<DbBlock | null>;
export declare function queryBlockByHash(blockHash: string): Promise<DbBlock | null>;
export declare function upsertBlocksForCycles(cycles: Cycle[]): Promise<void>;
export declare function createNewBlock(blockNumber: number, timestamp: number): EthBlock;
export declare function queryBlockCount(): Promise<number>;
export declare function queryLatestBlocks(count: number): Promise<DbBlock[]>;
