export interface Log<L = object> {
    cycle: number;
    timestamp: number;
    txHash: string;
    blockNumber: number;
    blockHash: string;
    contractAddress: string;
    log: L;
    topic0: string;
    topic1?: string;
    topic2?: string;
    topic3?: string;
}
export interface LogQueryRequest {
    address?: string;
    topics?: unknown[];
    fromBlock?: number;
    toBlock?: number;
    blockHash?: string;
}
export declare function insertLog(log: Log): Promise<void>;
export declare function bulkInsertLogs(logs: Log[]): Promise<void>;
export declare function queryLogCount(contractAddress?: string, topics?: unknown[], fromBlock?: number, toBlock?: number, blockHash?: string, type?: any): Promise<number>;
export declare function queryLogs(skip?: number, limit?: number, contractAddress?: string, topics?: unknown[], fromBlock?: number, toBlock?: number, type?: string): Promise<Log[]>;
export declare function queryLogCountBetweenCycles(startCycleNumber: number, endCycleNumber: number): Promise<number>;
export declare function queryLogsBetweenCycles(skip: number, limit: number, startCycleNumber: number, endCycleNumber: number): Promise<Log[]>;
export type LogFilter = {
    address: string[];
    topics: string[];
    fromBlock: string;
    toBlock: string;
    blockHash?: string;
};
export declare function queryLogsByFilter(logFilter: LogFilter, limit?: number): Promise<Log[]>;
