import { OriginalTxData, OriginalTxData2, OriginalTxDataInterface, TransactionSearchType } from '../types';
declare enum OriginalTxDataType {
    OriginalTxData = "originalTxsData",
    OriginalTxData2 = "originalTxsData2"
}
export declare const originalTxsMap: Map<string, number>;
export declare function insertOriginalTxData(originalTxData: OriginalTxData | OriginalTxData2, tableName: OriginalTxDataType): Promise<void>;
export declare function bulkInsertOriginalTxsData(originalTxsData: OriginalTxData[] | OriginalTxData2[], tableName: OriginalTxDataType): Promise<void>;
export declare function processOriginalTxData(originalTxsData: OriginalTxData[], saveOnlyNewData?: boolean): Promise<void>;
export declare function queryOriginalTxDataCount(txType?: TransactionSearchType, afterTimestamp?: number, startCycle?: number, endCycle?: number): Promise<number>;
export declare function queryOriginalTxsData(skip?: number, limit?: number, txType?: TransactionSearchType, afterTimestamp?: number, startCycle?: number, endCycle?: number): Promise<OriginalTxDataInterface[]>;
export declare function queryOriginalTxDataByTxId(txId: string): Promise<OriginalTxDataInterface | null>;
export declare function queryOriginalTxDataByTxHash(txHash: string): Promise<OriginalTxDataInterface | null>;
export declare function queryOriginalTxDataCountByCycles(start: number, end: number): Promise<{
    originalTxsData: number;
    cycle: number;
}[]>;
export declare function cleanOldOriginalTxsMap(timestamp: number): void;
export {};
