import { Receipt } from '../types';
export declare const receiptsMap: Map<string, number>;
export declare function insertReceipt(receipt: Receipt): Promise<void>;
export declare function bulkInsertReceipts(receipts: Receipt[]): Promise<void>;
export declare function processReceiptData(receipts: Receipt[], saveOnlyNewData?: boolean): Promise<void>;
export declare function queryReceiptByReceiptId(receiptId: string): Promise<Receipt | null>;
export declare function queryLatestReceipts(count: number): Promise<Receipt[]>;
export declare function queryReceipts(skip?: number, limit?: number): Promise<Receipt[]>;
export declare function queryReceiptCount(): Promise<number>;
export declare function queryReceiptCountByCycles(start: number, end: number): Promise<{
    receipts: number;
    cycle: number;
}[]>;
export declare function queryReceiptsBetweenCycles(skip: number, limit: number, start: number, end: number): Promise<Receipt[]>;
export declare function queryReceiptCountBetweenCycles(start: number, end: number): Promise<number>;
export declare function cleanOldReceiptsMap(timestamp: number): void;
