export type DbName = 'default' | 'shardeumIndexer';
export interface DbOptions {
    defaultDbSqlitePath: string;
    enableShardeumIndexer: boolean;
    shardeumIndexerSqlitePath: string;
}
export declare function init(config: DbOptions): Promise<void>;
export declare function runCreate(createStatement: string, dbName?: DbName): Promise<void>;
export declare function run(sql: string, params?: unknown[] | object, dbName?: DbName): Promise<{
    id: number;
}>;
export declare function get<T>(sql: string, params?: unknown[] | object, dbName?: DbName): Promise<T>;
export declare function all<T>(sql: string, params?: unknown[] | object, dbName?: DbName): Promise<T[]>;
/**
 * Closes the Database and Indexer Connections Gracefully
 */
export declare function close(): Promise<void>;
export declare function extractValues(object: object): string[];
export declare function extractValuesFromArray(arr: object[]): string[];
