"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionSearchType = exports.InternalTXType = exports.TransactionType = void 0;
var TransactionType;
(function (TransactionType) {
    TransactionType[TransactionType["Receipt"] = 0] = "Receipt";
    TransactionType[TransactionType["NodeRewardReceipt"] = 1] = "NodeRewardReceipt";
    TransactionType[TransactionType["StakeReceipt"] = 2] = "StakeReceipt";
    TransactionType[TransactionType["UnstakeReceipt"] = 3] = "UnstakeReceipt";
    TransactionType[TransactionType["EVM_Internal"] = 4] = "EVM_Internal";
    TransactionType[TransactionType["ERC_20"] = 5] = "ERC_20";
    TransactionType[TransactionType["ERC_721"] = 6] = "ERC_721";
    TransactionType[TransactionType["ERC_1155"] = 7] = "ERC_1155";
    TransactionType[TransactionType["InternalTxReceipt"] = 8] = "InternalTxReceipt";
})(TransactionType = exports.TransactionType || (exports.TransactionType = {}));
var InternalTXType;
(function (InternalTXType) {
    InternalTXType[InternalTXType["SetGlobalCodeBytes"] = 0] = "SetGlobalCodeBytes";
    InternalTXType[InternalTXType["InitNetwork"] = 1] = "InitNetwork";
    InternalTXType[InternalTXType["NodeReward"] = 2] = "NodeReward";
    InternalTXType[InternalTXType["ChangeConfig"] = 3] = "ChangeConfig";
    InternalTXType[InternalTXType["ApplyChangeConfig"] = 4] = "ApplyChangeConfig";
    InternalTXType[InternalTXType["SetCertTime"] = 5] = "SetCertTime";
    InternalTXType[InternalTXType["Stake"] = 6] = "Stake";
    InternalTXType[InternalTXType["Unstake"] = 7] = "Unstake";
    InternalTXType[InternalTXType["InitRewardTimes"] = 8] = "InitRewardTimes";
    InternalTXType[InternalTXType["ClaimReward"] = 9] = "ClaimReward";
    InternalTXType[InternalTXType["ChangeNetworkParam"] = 10] = "ChangeNetworkParam";
    InternalTXType[InternalTXType["ApplyNetworkParam"] = 11] = "ApplyNetworkParam";
    InternalTXType[InternalTXType["Penalty"] = 12] = "Penalty";
})(InternalTXType = exports.InternalTXType || (exports.InternalTXType = {}));
var TransactionSearchType;
(function (TransactionSearchType) {
    TransactionSearchType[TransactionSearchType["All"] = 0] = "All";
    TransactionSearchType[TransactionSearchType["Receipt"] = 1] = "Receipt";
    TransactionSearchType[TransactionSearchType["NodeRewardReceipt"] = 2] = "NodeRewardReceipt";
    TransactionSearchType[TransactionSearchType["StakeReceipt"] = 3] = "StakeReceipt";
    TransactionSearchType[TransactionSearchType["UnstakeReceipt"] = 4] = "UnstakeReceipt";
    TransactionSearchType[TransactionSearchType["EVM_Internal"] = 5] = "EVM_Internal";
    TransactionSearchType[TransactionSearchType["ERC_20"] = 6] = "ERC_20";
    TransactionSearchType[TransactionSearchType["ERC_721"] = 7] = "ERC_721";
    TransactionSearchType[TransactionSearchType["ERC_1155"] = 8] = "ERC_1155";
    TransactionSearchType[TransactionSearchType["TokenTransfer"] = 9] = "TokenTransfer";
    TransactionSearchType[TransactionSearchType["InternalTxReceipt"] = 10] = "InternalTxReceipt";
    TransactionSearchType[TransactionSearchType["AllExceptInternalTx"] = 11] = "AllExceptInternalTx";
    TransactionSearchType[TransactionSearchType["Pending"] = 12] = "Pending";
})(TransactionSearchType = exports.TransactionSearchType || (exports.TransactionSearchType = {}));
//# sourceMappingURL=transaction.js.map